Lucene search
+L

1555 matches found

Kitploit
Kitploit
•added 2026/10/04 12:50 p.m.•16 views

pgpdump

pgpdump: a PGP packet visualizer Kazu Yamamoto [email protected] August 16, 2010 Overview pgpdump is a PGP packet visualizer which displays the packet format of OpenPGP RFC 4880 and PGP version 2 RFC 1991. Here is an example: % pgpdump test/sig1 Old: Marker Packettag 103 bytes String -...

6.3AI score
SaveExploits0
NVD
NVD
•added 2026/10/03 9:17 a.m.•8 views

CVE-2026-71887

In Bouncy Castle for Java before 1.86, the high-level OpenPGP API accepted a data signature made by a signing subkey whose Subkey Binding signature carried no embedded Primary Key Binding cross-certification signature, in the case where that binding omits a Key Flags subpacket. RFC 9580 sec...

8.2CVSS0.0009EPSS
SaveExploits0References2
NVD
NVD
•added 2026/10/03 9:17 a.m.•10 views

CVE-2026-71886

In Bouncy Castle for Java before 1.86, the high-level OpenPGP certificate API accepted a third-party certification or trust delegation from any component key of the issuing certificate, without requiring that component to have been granted the authority to certify...

8.2CVSS0.00167EPSS
SaveExploits0References2
CVE
CVE
•added 2026/10/03 8:46 a.m.•13 views

CVE-2026-71886

In Bouncy Castle for Java before version 1.86 , the high-level OpenPGP certificate API contains a flaw where it accepts third-party certifications or trust delegations from any component key of an issuing certificate without verifying if that component had the authority to certify. Specifically, ...

8.2CVSS5.8AI score0.00167EPSS
SaveExploits0References2
Debian CVE
Debian CVE
•added 2026/10/03 8:46 a.m.•6 views

CVE-2026-71886

In Bouncy Castle for Java before 1.86, the high-level OpenPGP certificate API accepted a third-party certification or trust delegation from any component key of the issuing certificate, without requiring that component to have been granted the authority to certify...

8.2CVSS5.8AI score0.00167EPSS
SaveExploits0
Cvelist
Cvelist
•added 2026/10/03 8:46 a.m.•30 views

CVE-2026-71886 OpenPGP certification accepted from a subkey without certification authority

In Bouncy Castle for Java before 1.86, the high-level OpenPGP certificate API accepted a third-party certification or trust delegation from any component key of the issuing certificate, without requiring that component to have been granted the authority to certify...

8.2CVSS0.00167EPSS
SaveExploits0References2
EUVD
EUVD
•added 2026/10/03 8:46 a.m.•7 views

EUVD-2026-92002

In Bouncy Castle for Java before 1.86, the high-level OpenPGP certificate API accepted a third-party certification or trust delegation from any component key of the issuing certificate, without requiring that component to have been granted the authority to certify...

8.2CVSS5.8AI score0.00167EPSS
SaveExploits0References2
Cvelist
Cvelist
•added 2026/10/03 8:39 a.m.•30 views

CVE-2026-71887 OpenPGP data signature accepted from a signing subkey without cross-certification

In Bouncy Castle for Java before 1.86, the high-level OpenPGP API accepted a data signature made by a signing subkey whose Subkey Binding signature carried no embedded Primary Key Binding cross-certification signature, in the case where that binding omits a Key Flags subpacket. RFC 9580 sec...

8.2CVSS0.0009EPSS
SaveExploits0References2
EUVD
EUVD
•added 2026/10/03 8:39 a.m.•7 views

EUVD-2026-91993

In Bouncy Castle for Java before 1.86, the high-level OpenPGP API accepted a data signature made by a signing subkey whose Subkey Binding signature carried no embedded Primary Key Binding cross-certification signature, in the case where that binding omits a Key Flags subpacket. RFC 9580 sec...

8.2CVSS5.9AI score0.0009EPSS
SaveExploits0References2
CVE
CVE
•added 2026/10/03 8:39 a.m.•14 views

CVE-2026-71887

The Bouncy Castle for Java high-level OpenPGP API (versions before 1.86 ) contains a vulnerability where it accepts data signatures from signing subkeys that lack a required embedded Primary Key Binding signature when the Key Flags subpacket is omitted. The flaw stems from inconsistent logic in O...

8.2CVSS5.9AI score0.0009EPSS
SaveExploits0References2
Debian CVE
Debian CVE
•added 2026/10/03 8:39 a.m.•3 views

CVE-2026-71887

In Bouncy Castle for Java before 1.86, the high-level OpenPGP API accepted a data signature made by a signing subkey whose Subkey Binding signature carried no embedded Primary Key Binding cross-certification signature, in the case where that binding omits a Key Flags subpacket. RFC 9580 sec...

8.2CVSS5.9AI score0.0009EPSS
SaveExploits0
CVE
CVE
•added 2026/10/03 8:05 a.m.•5 views

CVE-2026-85515

Bouncy Castle for Java versions before 1.86 are vulnerable to a truncation error where truncated OpenPGP encrypted messages are accepted without reporting an error. On the SEIPD version 1 path, this leads to receiving CFB-decrypted plaintext without any integrity checks. On the AEAD path (SEIPD v...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References2
OSV
OSV
•added 2026/10/03 8:05 a.m.•3 views

CVE-2026-85515 OpenPGP message truncation not reported, bypassing the SEIPDv1 integrity check

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score
SaveExploits0References9
EUVD
EUVD
•added 2026/10/03 8:05 a.m.•7 views

EUVD-2026-91988

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0References2
Debian CVE
Debian CVE
•added 2026/10/03 8:05 a.m.•6 views

CVE-2026-85515

In Bouncy Castle for Java before 1.86, a truncated OpenPGP encrypted message was accepted with no error reported, and on the SEIPD version 1 path with no integrity check performed at all. RFC 9580 sec. 13.7 permits an implementation to release the cleartext of the fully authenticated chunks when...

8.2CVSS5.9AI score0.00157EPSS
SaveExploits0
NVD
NVD
•added 2026/10/02 8:17 a.m.•5 views

CVE-2026-63574

Memory allocation with excessive size value in the OpenPGP signature and user attribute subpacket parsers SignatureSubpacketsParser.ReadPacket, UserAttributeSubpacketsParser.ReadPacket in Legion of the Bouncy Castle Inc. bc-csharp before 2.7.0 allows a remote, unauthenticated attacker who can...

8.7CVSS0.00315EPSS
SaveExploits0References3
Cvelist
Cvelist
•added 2026/10/02 7:06 a.m.•39 views

CVE-2026-63574 Unbounded allocation from OpenPGP signature and user attribute subpacket lengths

Memory allocation with excessive size value in the OpenPGP signature and user attribute subpacket parsers SignatureSubpacketsParser.ReadPacket, UserAttributeSubpacketsParser.ReadPacket in Legion of the Bouncy Castle Inc. bc-csharp before 2.7.0 allows a remote, unauthenticated attacker who can...

8.7CVSS0.00315EPSS
SaveExploits0References3
OSV
OSV
•added 2026/10/02 7:06 a.m.•2 views

CVE-2026-63574 Unbounded allocation from OpenPGP signature and user attribute subpacket lengths

Memory allocation with excessive size value in the OpenPGP signature and user attribute subpacket parsers SignatureSubpacketsParser.ReadPacket, UserAttributeSubpacketsParser.ReadPacket in Legion of the Bouncy Castle Inc. bc-csharp before 2.7.0 allows a remote, unauthenticated attacker who can...

8.7CVSS5.9AI score
SaveExploits0References7
CVE
CVE
•added 2026/10/02 7:06 a.m.•6 views

CVE-2026-63574

The bc-csharp library (versions before 2.7.0 ) by Legion of the Bouncy Castle Inc. contains a memory allocation vulnerability in the OpenPGP signature and user attribute subpacket parsers (SignatureSubpacketsParser.ReadPacket , UserAttributeSubpacketsParser.ReadPacket ). A remote, unauthenticated...

8.7CVSS5.9AI score0.00315EPSS
SaveExploits0References3
EUVD
EUVD
•added 2026/10/02 7:06 a.m.•7 views

EUVD-2026-91225

Memory allocation with excessive size value in the OpenPGP signature and user attribute subpacket parsers SignatureSubpacketsParser.ReadPacket, UserAttributeSubpacketsParser.ReadPacket in Legion of the Bouncy Castle Inc. bc-csharp before 2.7.0 allows a remote, unauthenticated attacker who can...

8.7CVSS5.9AI score0.00315EPSS
SaveExploits0References3
Rows per page
Query Builder